Bug 1190530 - wxGlade needs updates for wxPython 3.0
Summary: wxGlade needs updates for wxPython 3.0
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGlade
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-09 00:51 UTC by Scott Talbert
Modified: 2015-09-06 17:05 UTC (History)
4 users (show)

Fixed In Version: 0.7.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-06 01:10:19 UTC


Attachments (Terms of Use)

Description Scott Talbert 2015-02-09 00:51:14 UTC
wxPython has been updated to version 3.0 in Rawhide.  Unfortunately, wxGlade requires some updates to be compatible.  Here is one problem: attempt to create a wxDialog.  This results in the following error message:

ERROR: An unexpected error occurs!
ERROR: Error type:    <type 'exceptions.AttributeError'>
ERROR: Error details: 'module' object has no attribute 'DIALOG_MODAL'
ERROR: Stack Trace:
ERROR: Traceback (most recent call last):
ERROR:   File "/usr/lib/python2.7/site-packages/wxglade/common.py", line 356, in add_toplevel_object
ERROR:     widgets[refs[event.GetId()]](None, None, 0)
ERROR:   File "/usr/lib/python2.7/site-packages/wxglade/widgets/dialog/dialog.py", line 296, in builder
ERROR:     common.property_panel, klass=class_dialog.klass)
ERROR:   File "/usr/lib/python2.7/site-packages/wxglade/widgets/dialog/dialog.py", line 58, in __init__
ERROR:     wx.DIALOG_MODAL, wx.CAPTION, wx.RESIZE_BORDER,
ERROR: AttributeError: 'module' object has no attribute 'DIALOG_MODAL'
ERROR: Local variables of the last stack entry:
ERROR: style (<type 'int'>): 536877056
ERROR: property_window (<class 'main.wxGladePropertyPanel'>): <main.wxGladePropertyPanel; proxy of <Swig Object of type 'wxPanel *' at 0x17d6800> >
ERROR: parent (<type 'NoneType'>): None
ERROR: show (<type 'bool'>): True
ERROR: self (<type 'instance'>): <dialog.dialog.EditDialog instance at 0x7f91389b6ef0>
ERROR: style_labels (<type 'tuple'>): (u'#section#Style',
 'wxDEFAULT_DIALOG_STYLE',
 'wxDIALOG_MODAL',
 'wxCAPTION',
 'wxRESIZE_BORDER',
 'wxSYSTEM_MENU',
 'wxCLOSE_BOX',
 'wxMAXIMIZE_BOX',
 'wxMINIMIZE_BOX',
 'wxTHICK_FRAME',
 'wxSTAY_ON_TOP',
 'wxNO_3D',
 'wxDIALOG_NO_PARENT',
 'wxNO_FULL_REPAINT_ON_RESIZE',
 'wxFULL_REPAINT_ON_RESIZE',
 'wxCLIP_CHILDREN')
ERROR: prop (<type 'dict'>): {'background': <widget_properties.ColorDialogProperty instance at 0x7f91389d1e18>,
 'custom_base': <widget_properties.TextProperty instance at 0x7f91389d10e0>,
 'disabled': <widget_properties.CheckBoxProperty instance at 0x7f91384626c8>,
 'extracode': <code_property.CodeProperty instance at 0x7f91389d17a0>,
 'extraproperties': <code_property.ExtraPropertiesProperty instance at 0x7f91389d1950>,
 'focused': <widget_properties.CheckBoxProperty instance at 0x7f9138462710>,
 'font': <widget_properties.FontDialogProperty instance at 0x7f9138462440>,
 'foreground': <widget_properties.ColorDialogProperty instance at 0x7f9138462488>,
 'hidden': <widget_properties.CheckBoxProperty instance at 0x7f91384627a0>,
 'id': <widget_properties.TextProperty instance at 0x7f91389d1bd8>,
 'size': <widget_properties.TextProperty instance at 0x7f91389d1d88>,
 'title': <widget_properties.TextProperty instance at 0x7f9138462830>,
 'tooltip': <widget_properties.TextProperty instance at 0x7f9138462680>}
ERROR: klass (<type 'str'>): 'MyDialog'
ERROR: title (<type 'str'>): 'dialog_1'
ERROR: id (<type 'int'>): 172
ERROR: name (<type 'str'>): 'dialog_1'

Upstream has made wxPython 3.0 fixes in 0.7.0, so probably the easiest approach would be to update Rawhide to 0.7.0.  Alternatively, Debian has a wxPython 3 patch for 0.6.8.

Comment 1 Christopher Meng 2015-02-09 03:14:26 UTC
Yes, I've built 0.7 since last week, however I didn't push it to repo as wxpython 3.0 is required for test, I will make sure it's fine in 2 days and push it.

I don't care about Debian however, nor their patches. I will contact upstream if there is something strange.

Thanks.

Comment 2 Pierre-YvesChibon 2015-02-09 07:36:02 UTC
> I don't care about Debian however, nor their patches. I will contact upstream if there is something strange.

We are in open-source, the work done by Debian to make things work in 0.6.8 is worth looking into as it might very well fix the problem in Fedora.
Open-source is about team work and not re-invented the wheel everytime if we can work together and benefit from the work of each other.

That being said, is 0.7 fixes the problem, updated to 0.7 is a valid solution.

Comment 3 Jaroslav Reznik 2015-03-03 17:07:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora Update System 2015-08-28 10:23:10 UTC
wxGlade-0.7.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14476

Comment 5 Fedora Update System 2015-08-28 10:24:37 UTC
wxGlade-0.7.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14478

Comment 6 Fedora Update System 2015-08-28 18:57:29 UTC
wxGlade-0.7.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wxGlade'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14478

Comment 7 Fedora Update System 2015-08-31 18:52:26 UTC
wxGlade-0.7.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wxGlade'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14476

Comment 8 Fedora Update System 2015-09-06 01:10:14 UTC
wxGlade-0.7.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-09-06 04:49:54 UTC
wxGlade-0.7.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-09-06 17:05:17 UTC
wxGlade-0.7.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.